<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<!-- ========================================= Realisasi Perilaku Tree =============================================== -->

		<record id="view_menu_realisasi_perilaku_tree" model="ir.ui.view">
            <field name="name">project.perilaku.tree</field>
            <field name="model">project.perilaku</field>
            <field name="arch" type="xml">
                <tree create="false" delete="false"  string="Realisasi Perilaku"  colors="grey:state in ('done','closed','cancelled');blue:state in ('rejected_bkd','rejected_manager');brown:state == 'propose';orange:state == 'appeal';green:state == 'realisasi';red:komitmen_verifikasi_notsame==True;">
					<field name="name"/>
					<field name="target_period_month"/>
            		<field name="target_period_year"/>   
					<field name="nilai_sementara"  
            				groups="df_project.group_project_evaluated_bkd"  />
            		<field name="nilai_akhir" 
							attrs="{'invisible': [('state','!=','done')]}"/>
                    <field name="user_id"/>
				    <field name="company_id" groups="df_project.group_project_evaluated_bkd" />
					<field name="state"/>
                    <field name="currency_id" invisible="True"/>
            		<field name="user_id_atasan" invisible="True"/>
            		<field name="user_id_banding" invisible="True"/>
            		<field name="komitmen_verifikasi_notsame" invisible="True"/>
                </tree>
            </field>
        </record>
        <!-- =========================================  Realisasi Form =============================================== -->
 		 <record id="view_menu_realisasi_perilaku_form" model="ir.ui.view">
            <field name="name">project.perilaku.form</field>
            <field name="model">project.perilaku</field>
            <field name="arch" type="xml">
                <form create="false" delete="false"  string="Realisasi Bulanan">
               		<header> 
					<button name="action_target_done" string="Realisasi Siap Diisikan" type="object" confirm="Apakah Anda Yakin Sudah Mengisi Data Kegiatan Dengan Benar ?"
                        groups="df_project.group_project_user"   attrs="{'invisible':[('state','!=', 'draft')]}"   />
                    <button name="action_propose" type="object" string="Ajukan Ke Atasan" confirm="Apakah Anda Yakin Sudah Mengisi Kegiatan Dengan Benar ?"
                        	groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'realisasi')]}"   />
					<button name="action_appeal" type="object" string="Ajukan Banding" help="Jika Mengajukan Banding, Berati anda tetap ingin menajukan Realisasi yang diinput, dan Menolak yang diusulkan oleh atasan"
                        groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'rejected_manager')]}" />
                    <button name="action_dont_appeal" string="Koreksi Atasan Diterima" type="object" help="Jika Menerima Usulan, Berati menyetujui apa yang diusulkan oleh atasan. Maka Kegiatan ini akan langsung diverifikasi"
                        groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'rejected_manager')]}" />
					<button name="action_cancel_realisasi"  type="object" string="Realisasi Dibatalkan" confirm="Apakah Anda Yakin Akan Melakukan Pembatalan Pada Transaksi Ini?"
						  attrs="{'invisible':[('state','not in', ('draft','rejected_manager','realisasi'))]}"  groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"/>
					
					<button name="action_evaluated" type="object" string="Ajukan Ke BKD"  confirm="Apakah Anda Yakin Data Sudah Sesuai Dan Siap Di Laporkan ?"
                        groups="df_project.group_project_manager"  attrs="{'invisible':[('state','!=', 'propose')]}" />
					<button name="action_propose_rejected_perilaku_popup" type="object" string="Tolak Pengajuan"  
                        	groups="df_project.group_project_manager"  attrs="{'invisible':[('state','!=', 'propose')]}"  />
					
					<button name="action_verificate_revision" string="Ajukan Koreksi Hasil Verifikasi" type="object" help="Proses ini diharuskan untuk mengkoreksi hasil realisasi"
                        groups="df_project.group_project_manager"   attrs="{'invisible':[('state','!=', 'rejected_bkd')]}"  />
                   
					
					<button name="action_appeal_approve" type="object" string="Banding Diterima" help="Jika proses Banding diterima, maka realisasi yang diisi oleh pegawai akan dijadikan bahan verifikasi"
                        groups="df_project.group_project_appeal"  attrs="{'invisible':[('state','!=', 'appeal')]}"   />
                    <button name="action_appeal_rejected_perilaku_popup" type="object" string="Banding Ditolak" help="Jika proses Banding Ditolak, maka harus ditambahkan usulan untuk pertimbangan penilaian saat verifikasi"
                        groups="df_project.group_project_appeal"  attrs="{'invisible':[('state','!=', 'appeal')]}"  />

					

					<field name="state" widget="statusbar"  readonly="1" statusbar_visible="realisasi,propose,appeal,evaluated,done"/>
					</header>
	                <sheet string="Realisasi Perilaku ">
	                	<!--button -->
						<div class="oe_right">
							<button name="action_work_rejected" string="Tolak" type="object"
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'evaluated')]}"   />
							<button name="do_recalculate_poin" string="Hitung Ulang" type="object" 
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'done')]}"   />
							<button name="action_done" type="object" string="Selesai" class="oe_highlight"
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'evaluated')]}"  />							
						</div>
						
	                	<div class="oe_title"> 
							<label for="name" class="oe_edit_only" string="Nama Kegiatan"/>
							<h1>
								<field name="name" placeholder="Isi Nama Kegiatan Disini...."  required="True"  attrs="{'readonly':[('state','not in', ('draft','realisasi'))]}" />
							</h1>
							<field name="code" placeholder="Isi Kode Kegiatan Jika Ada..." readonly="True"/>
						</div>
						
						<group>
						<div class="oe_right">
									<label for="user_id" class="oe_edit_only" string="Penanggung Jawab :"/>
							<h3> 
									<field name="user_id" string="Penanggung Jawab" attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/> 
							</h3>	
						</div>
						</group>
						<group col="2" attrs="{'invisible':[('state','not in',('done'))]}"   style="background:#244646;color:#ebf4a3">
		                	 <div class="oe_left">
		                	  	 
							<h3> Nilai : </h3>
		                	 </div>
		                		 
		                	 <div class="oe_right">
							 		<h3> <field name="nilai_akhir" attrs="{'invisible':[('state','not in',('done'))]}" /></h3>	
							 </div>
						</group >
						
	                    <group col="2">
	                        
							<field name="target_period_month" readonly="True"/>
							<field name="target_period_year" readonly="True"/>
	                		<field name='notes'/>
	                		<field name="employee_job_type" invisible="True" />
						</group>
						
					<notebook> 
							<page string="Target Dan Realisasi" name="target_realisasi" >
								<group  col="1">
										<group col="2">
										<!-- ==== UNTUK PERILAKU DAN TAMBAHAN ==== -->                        
											<div > 
												 <group col="3">
				                            		<div  >
														<group string='Realisasi'  attrs="{'invisible': [('state','in',('draft'))]}" >
															<div name="perilaku_kerja_realisasi"   >
										                    	<group>
										                    		<div>
													                        <div style="background:#19bb9b" >
													                        	<h3>Orientasi Pelayanan</h3>
													                       	</div>
																			<group col="2" >
																				 <group>
																						<field name="realisasi_jumlah_konsumen_pelayanan" string="Jumlah Pelayanan" 
																							attrs="{ 'readonly':[('state','not in', ('realisasi'))],'required':[('state','in', ('realisasi','evaluated'))] }"  /> 
																						<field name="realisasi_satuan_jumlah_konsumen_pelayanan"   
																							attrs="{'readonly':[('state','not in', ('realisasi','evaluated'))],'required':[('state','in', ('realisasi','evaluated'))]  }" />    
														                         		<field name="realisasi_jumlah_tidakpuas_pelayanan" 
														                         		 	attrs="{'readonly':[('state','not in', ('realisasi'))] ,'required':[('state','in', ('realisasi','evaluated'))] }"/> 
														                         </group>
																				 <group attrs="{'invisible': [('is_kepala_opd','=',False)]}" >
																								<field name="realisasi_ketepatan_laporan_spj" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/> 
																								<field name="realisasi_ketepatan_laporan_ukp4" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>       
																                         		<field name="realisasi_efisiensi_biaya_operasional" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/> 
														                         </group>
													                        </group>
													                        <div style="background:#19bb9b" >
													                        	 	<h3>Integritas</h3>
													                        </div>	
																			<div style="background:#8addf6" >
													                        	 	<h5>Hukuman Disiplin</h5>
													                        </div>	
																			<group col="2">
																							<field name="realisasi_integritas_hukuman" 
																							attrs="{'readonly':[('state','not in', ('realisasi','evaluated'))],'required':[('state','in', ('realisasi','evaluated'))]}" />
																							<field name="realisasi_integritas_hukuman_ringan" attrs="{'readonly':[('state','not in', ('realisasi','evaluated'))],'invisible':[('realisasi_integritas_hukuman','=', 'tidak')]}"/>    
																							<field name="realisasi_integritas_hukuman_sedang" attrs="{'readonly':[('state','not in', ('realisasi','evaluated'))],'invisible':[('realisasi_integritas_hukuman','=',  'tidak')]}"/>
																							<field name="realisasi_integritas_hukuman_berat" attrs="{'readonly':[('state','not in', ('realisasi','evaluated'))],'invisible':[('realisasi_integritas_hukuman','=',  'tidak')]}"/>                                	
																							  
															                </group>
																			<div style="background:#8addf6" >
													                        	 	<h5>Penghargaan</h5>
													                        </div>	
													                        <group col="4">
													                        	 		<div  name="form_penghargaan">
													                        	 															                        	 		
													                        	 	    <div>
													                        	 	        <field name="realisasi_integritas_presiden" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
													                        	 	        <label for="realisasi_integritas_presiden"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_integritas_presiden','!=', True)]}">
																								<field name="realisasi_integritas_presiden_attach" attrs="{'required':[('realisasi_integritas_presiden','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_integritas_presiden_date" attrs="{'required':[('realisasi_integritas_presiden','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>
																							<field name="realisasi_integritas_gubernur" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_integritas_gubernur" style="font-weight: bold;" />                                  	
																							
																							<group col="2" attrs="{'invisible':[('realisasi_integritas_gubernur','!=', True)]}">
																								<field name="realisasi_integritas_gubernur_attach" attrs="{'required':[('realisasi_integritas_gubernur','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_integritas_gubernur_date" attrs="{'required':[('realisasi_integritas_gubernur','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>
																							<field name="realisasi_integritas_kepalaopd" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_integritas_kepalaopd" style="font-weight: bold;" />
																							
																							<group col="2" attrs="{'invisible':[('realisasi_integritas_kepalaopd','!=', True)]}">
																								<field name="realisasi_integritas_kepalaopd_attach" attrs="{'required':[('realisasi_integritas_kepalaopd','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_integritas_kepalaopd_date" attrs="{'required':[('realisasi_integritas_kepalaopd','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>
																							<field name="realisasi_integritas_es1" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_integritas_es1"  style="font-weight: bold;"  />
															                        		
															                        		<group col="2" attrs="{'invisible':[('realisasi_integritas_es1','!=', True)]}">
																								<field name="realisasi_integritas_es1_attach" attrs="{'required':[('realisasi_integritas_es1','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_integritas_es1_date" attrs="{'required':[('realisasi_integritas_es1','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>  
	  																					   <field name="realisasi_integritas_es2" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
	  																					   <label for="realisasi_integritas_es2"  style="font-weight: bold;"  />   
																							
																							<group col="2" attrs="{'invisible':[('realisasi_integritas_es2','!=', True)]}">
																								<field name="realisasi_integritas_es2_attach" attrs="{'required':[('realisasi_integritas_es2','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_integritas_es2_date" attrs="{'required':[('realisasi_integritas_es2','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>  
																							<field name="realisasi_integritas_atasan" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_integritas_atasan"  style="font-weight: bold;" />
																						</div>
																						  
																							<field name="realisasi_integritas_es3" attrs="{'readonly':[('state','not in', ('realisasi'))]}" invisible="True" />     
															                       			<field name="realisasi_integritas_es4" attrs="{'readonly':[('state','not in', ('realisasi'))]}" invisible="True"  />																
																						</div>
																				                            	
													                        </group>
													                         <div style="background:#19bb9b"  name="separator_realisasi_komitmen">
													                        	 	<h3>Komitmen</h3>
													                         </div>
													                         <group col="2">
													                         			<div>
																						<group col="4">		
																						    <field name="realisasi_hadir_apel_pagi"   
																						    attrs="{'readonly':[('state','not in', ('realisasi'))],'required':[('state','in', ('realisasi','evaluated'))]}" />		
																							<field name="realisasi_hadir_upacara_hari_besar" 
																							attrs="{'readonly':[('state','not in', ('realisasi'))],'required':[('state','in', ('realisasi','evaluated'))]} "/> 
														                         		</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b" name="separator_realisasi_disiplin">
													                        	 	<h3>Disiplin</h3>
													                         </div>
													                         <group col="2">
													                         			<div>
																						<group col="4">		
																						    <field name="realisasi_hadir_hari_kerja" 
																						    attrs="{'readonly':[('state','not in', ('realisasi'))] ,'required':[('state','in', ('realisasi','evaluated'))] }" />  
															                         		<field name="realisasi_hadir_jam_kerja"   
															                         		attrs="{'readonly':[('state','not in', ('realisasi'))] ,'required':[('state','in', ('realisasi','evaluated'))]}"/>
															                         	</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b"  name="separator_realisasi_kerjasama">
													                        	 	<h3>Kerjasama</h3>
													                         </div>
													                        
																			<group col="4">
													                        	 		<div  name="form_kerjasama">
													                        	 		<div>
													                        	 			<field name="realisasi_kerjasama_nasional" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
													                        	 			<label for="realisasi_kerjasama_nasional"  style="font-weight: bold;"/>
																							<group col="2" attrs="{'invisible':[('realisasi_kerjasama_nasional','!=', True)]}">
																								<field name="realisasi_kerjasama_nasional_attach" attrs="{'required':[('realisasi_kerjasama_nasional','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kerjasama_nasional_date" attrs="{'required':[('realisasi_kerjasama_nasional','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>						                        	 			
																							<field name="realisasi_kerjasama_gubernur" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_gubernur"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kerjasama_gubernur','!=', True)]}">
																								<field name="realisasi_kerjasama_gubernur_attach" attrs="{'required':[('realisasi_kerjasama_gubernur','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kerjasama_gubernur_date" attrs="{'required':[('realisasi_kerjasama_gubernur','=',True),('state','=','realisasi')]}"/>																						
																							</group>                      	
															                         	</div>
																						<div>	
																							<field name="realisasi_kerjasama_kepalaopd" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_kepalaopd"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kerjasama_kepalaopd','!=', True)]}">
																								<field name="realisasi_kerjasama_kepalaopd_attach" attrs="{'required':[('realisasi_kerjasama_kepalaopd','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kerjasama_kepalaopd_date" attrs="{'required':[('realisasi_kerjasama_kepalaopd','=',True),('state','=','realisasi')]}"/>																						
																							</group>             
															                         	</div>
																						<div>
																							<field name="realisasi_kerjasama_atasan" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_atasan"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kerjasama_atasan','!=', True)]}">
																								<br/>																						
																							</span>             
																						</div>
																						<div>
														                       			    <field name="realisasi_kerjasama_rapat_nasional" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
														                       			    <label for="realisasi_kerjasama_rapat_nasional"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kerjasama_rapat_nasional','!=', True)]}">
																								<field name="realisasi_kerjasama_rapat_nasional_attach" attrs="{'required':[('realisasi_kerjasama_rapat_nasional','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kerjasama_rapat_nasional_date" attrs="{'required':[('realisasi_kerjasama_rapat_nasional','=',True),('state','=','realisasi')]}"/>																						
																							</group>          
																						</div>
																						<div>
																							<field name="realisasi_kerjasama_rapat_provinsi" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_rapat_provinsi"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kerjasama_rapat_provinsi','!=', True)]}">
																								<field name="realisasi_kerjasama_rapat_provinsi_attach" attrs="{'required':[('realisasi_kerjasama_rapat_provinsi','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kerjasama_rapat_provinsi_date" attrs="{'required':[('realisasi_kerjasama_rapat_provinsi','=',True),('state','=','realisasi')]}"/>																						
																							</group>          
															                        	</div>
																						<div>
																							<field name="realisasi_kerjasama_rapat_perangkat_daerah" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_rapat_perangkat_daerah"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kerjasama_rapat_perangkat_daerah','!=', True)]}">
																								<br/>																						
																							</span>
																						</div>
																						<div>
																							<field name="realisasi_kerjasama_rapat_atasan" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kerjasama_rapat_atasan"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kerjasama_rapat_atasan','!=', True)]}">
																								<br/>																						
																							</span> 
															                       		</div>
																					</div>     	
													                        </group>
													                          <div style="background:#19bb9b" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
													                        	 	<h3>Kepemimpinan</h3>
													                         </div>
													                        <group col="4" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}" >
													                        	 <div name="form_kepemimpinan" >
													                        	 		<div>
													                        	 		    <field name="realisasi_kepemimpinan_nasional" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
													                        	 		    <label for="realisasi_kepemimpinan_nasional"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kepemimpinan_nasional','!=', True)]}">
																								<field name="realisasi_kepemimpinan_nasional_attach" attrs="{'required':[('realisasi_kepemimpinan_nasional','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kepemimpinan_nasional_date" attrs="{'required':[('realisasi_kepemimpinan_nasional','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>
																							<field name="realisasi_kepemimpinan_gubernur" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kepemimpinan_gubernur"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kepemimpinan_gubernur','!=', True)]}">
																								<field name="realisasi_kepemimpinan_gubernur_attach" attrs="{'required':[('realisasi_kepemimpinan_gubernur','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kepemimpinan_gubernur_date" attrs="{'required':[('realisasi_kepemimpinan_gubernur','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>                           	
																							<field name="realisasi_kepemimpinan_kepalaopd" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kepemimpinan_kepalaopd"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kepemimpinan_kepalaopd','!=', True)]}">
																								<field name="realisasi_kepemimpinan_kepalaopd_attach" attrs="{'required':[('realisasi_kepemimpinan_kepalaopd','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kepemimpinan_kepalaopd_date" attrs="{'required':[('realisasi_kepemimpinan_kepalaopd','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>                          	
																							<field name="realisasi_kepemimpinan_atasan" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kepemimpinan_atasan"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kepemimpinan_atasan','!=', True)]}">
																								<br/>																						
																							</span> 
																						</div>
																						<div>                          	
														                       				<field name="realisasi_kepemimpinan_narsum_nasional" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
														                       				<label for="realisasi_kepemimpinan_narsum_nasional"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kepemimpinan_narsum_nasional','!=', True)]}">
																								<field name="realisasi_kepemimpinan_narsum_nasional_attach" attrs="{'required':[('realisasi_kepemimpinan_narsum_nasional','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kepemimpinan_narsum_nasional_date" attrs="{'required':[('realisasi_kepemimpinan_narsum_nasional','=',True),('state','=','realisasi')]}"/>																						
																							</group>
																						</div>
																						<div>
											                        						<field name="realisasi_kepemimpinan_narsum_provinsi" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
											                        						<label for="realisasi_kepemimpinan_narsum_provinsi"  style="font-weight: bold;"/>
																							
																							<group col="2" attrs="{'invisible':[('realisasi_kepemimpinan_narsum_provinsi','!=', True)]}">
																								<field name="realisasi_kepemimpinan_narsum_provinsi_attach" attrs="{'required':[('realisasi_kepemimpinan_narsum_provinsi','=',True),('state','=','realisasi')]}"/>																
																								<field name="realisasi_kepemimpinan_narsum_provinsi_date" attrs="{'required':[('realisasi_kepemimpinan_narsum_provinsi','=',True),('state','=','realisasi')]}"/>																						
																							</group>                          	
																						</div>
																						<div>
																							<field name="realisasi_kepemimpinan_narsum_perangkat_daerah" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kepemimpinan_narsum_perangkat_daerah"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kepemimpinan_narsum_perangkat_daerah','!=', True)]}">
																								<br/>																						
																							</span> 
																						</div>
																						<div>
																							<field name="realisasi_kepemimpinan_narsum_unitkerja" attrs="{'readonly':[('state','not in', ('realisasi'))]}"/>
																							<label for="realisasi_kepemimpinan_narsum_unitkerja"  style="font-weight: bold;"/>
																							
																							<span col="2" attrs="{'invisible':[('realisasi_kepemimpinan_narsum_unitkerja','!=', True)]}">
																								<br/>																						
																							</span> 
															                        	</div>              	
														                        </div>
													                        </group>
												                      </div>
												                   </group>
										                        </div>
									                   		</group> <!-- END GROUP Realiasasi   -->  
											  			</div><!-- END DIV Realisasi   -->
			<!-- DIV SUGGEST -->	
			
														<div attrs="{'invisible': [('is_suggest','=',False)]}">
															<group string='Usulan Atasan' attrs="{'invisible': [('is_suggest','=',False)]}"  >
																
											                     
										                        <div name="perilaku_kerja_suggest"   >
											                        <group>
												                    		<div>
															                        <div style="background:#19bb9b" >
															                        	<h3>Orientasi Pelayanan</h3>
															                       	</div>
																					<group col="2" >
																						 <group>
																								<field name="suggest_jumlah_konsumen_pelayanan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																								<field name="suggest_satuan_jumlah_konsumen_pelayanan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>       
																                         		<field name="suggest_jumlah_tidakpuas_pelayanan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																                         </group>
																                         <group attrs="{'invisible': [('is_kepala_opd','=',False)]}" >
																								<field name="suggest_ketepatan_laporan_spj" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																								<field name="suggest_ketepatan_laporan_ukp4" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>       
																                         		<field name="suggest_efisiensi_biaya_operasional" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
														                         		</group>
															                        </group>
															                    
															                        <div style="background:#19bb9b" >
															                        	 	<h3>Integritas</h3>
															                        </div>	
															                        <div style="background:#8addf6" >
													                        	 	<h5>Hukuman Disiplin</h5>
													                        </div>	
																			<group col="2">
																							<field name="suggest_integritas_hukuman" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																							<field name="suggest_integritas_hukuman_ringan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))],'invisible':[('suggest_integritas_hukuman','=', 'tidak')]}"/>    
																							<field name="suggest_integritas_hukuman_sedang" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))],'invisible':[('suggest_integritas_hukuman','=', 'tidak')]}"/>
																							<field name="suggest_integritas_hukuman_berat" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))],'invisible':[('suggest_integritas_hukuman','=', 'tidak')]}"/>                                	
																							  
															                </group>
																			<div style="background:#8addf6" >
													                        	 	<h5>Penghargaan</h5>
													                        </div>	
													                        		<group col="4">
															                        	 		<group col="2">
																									<field name="suggest_integritas_presiden" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                        	
																									<field name="suggest_integritas_gubernur" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																									<field name="suggest_integritas_kepalaopd" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																									<field name="suggest_integritas_atasan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>  
																	                        	</group>       
																								<group col="2">
																									<field name="suggest_integritas_es1" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>  
																									<field name="suggest_integritas_es2" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>   
																									<field name="suggest_integritas_es3" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}" invisible="True" />     
																	                       			<field name="suggest_integritas_es4" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}" invisible="True" />																
																								</group>                            	
															                        </group>
															                         <div style="background:#19bb9b" >
															                        	 	<h3>Komitmen</h3>
															                         </div>
															                         <group col="2">
																								<div invisible="True" >
															                         			<group col="2">										                         									
																	                         		<field name="suggest_apel_pagi" invisible="True" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}" />   
																									<field name="suggest_upacara_hari_besar" invisible="True"  attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																								</group>
																								</div>
																								<div>
																								<group col="4">		
																								    <field name="suggest_hadir_apel_pagi" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>		
																									<field name="suggest_hadir_upacara_hari_besar" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																                         		</group>	 
																								</div>   
															                        </group>
															                         <div style="background:#19bb9b" >
															                        	 	<h3>Disiplin</h3>
															                         </div>
															                         <group col="2">
																								<div invisible="True" >
															                         			<group col="2">										                         									
																	                         		<field name="suggest_jumlah_hari_kerja" invisible="True" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																									<field name="suggest_jumlah_jam_kerja" invisible="True" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																									 
																								</group>
																								</div>
																								<div>
																								<group col="4">		
																								    <field name="suggest_hadir_hari_kerja" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>  
																	                         		<field name="suggest_hadir_jam_kerja" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																                         		</group>	 
																								</div>   
															                        </group>
															                        <div style="background:#19bb9b" >
															                        	 	<h3>Kerjasama</h3>
															                         </div>
															                        
																					<group col="4">
															                             		<group col="2">
																									<field name="suggest_kerjasama_nasional" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                            	
																	                         		<field name="suggest_kerjasama_gubernur" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																	                         		<field name="suggest_kerjasama_kepalaopd" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>     
																									<field name="suggest_kerjasama_atasan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																                       			</group>
																                       			<group col="2">                             	
																	                        		<field name="suggest_kerjasama_rapat_nasional" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>         
																	                         		<field name="suggest_kerjasama_rapat_provinsi" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																									<field name="suggest_kerjasama_rapat_perangkat_daerah" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>     
																	                       			<field name="suggest_kerjasama_rapat_atasan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                                 	
																                        		</group>            	
															                        </group>
															                          <div style="background:#19bb9b" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}" >
															                        	 	<h3>Kepemimpinan</h3>
															                         </div>
															                        <group col="4" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
															                        	 <div>
															                        	 		<group col="2">
																									<field name="suggest_kepemimpinan_nasional" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                            	
																									<field name="suggest_kepemimpinan_gubernur" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                          	
																									<field name="suggest_kepemimpinan_kepalaopd" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/> 
																									<field name="suggest_kepemimpinan_atasan" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                                 	
																                       			</group>
													                        					<group col="2">
													                        						<field name="suggest_kepemimpinan_narsum_nasional" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                             	
																									<field name="suggest_kepemimpinan_narsum_provinsi" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>
																	                        		<field name="suggest_kepemimpinan_narsum_perangkat_daerah" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>      
																	                       			<field name="suggest_kepemimpinan_narsum_unitkerja" attrs="{'readonly':[('state','not in', ('propose','rejected_bkd'))]}"/>                              	
																                        		</group>                    	
																                        </div>
															                        </group>
														                      </div>
														                	</group>
																		</div>
																	</group> <!-- END GROUP Ajukan   -->  
											  					</div><!-- END DIV Ajukan   -->		
			<!-- DIV APPEAL -->	
														<div attrs="{'invisible': [('is_appeal','=',False)]}">
															<group string='Banding' attrs="{'invisible': [('is_appeal','=',False)]}"  >	
										                        <div name="perilaku_kerja_appeal"   >
											                        <group>
												                    		<div>
															                        <div style="background:#19bb9b" >
															                        	<h3>Orientasi Pelayanan</h3>
															                       	</div>
																					<group col="2" >
																						 <group>
																								<field name="appeal_jumlah_konsumen_pelayanan" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																								<field name="appeal_satuan_jumlah_konsumen_pelayanan" attrs="{'readonly':[('state','!=', 'appeal')]}"/>       
																                         		<field name="appeal_jumlah_tidakpuas_pelayanan" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																                         </group>
																                          <group attrs="{'invisible': [('is_kepala_opd','=',False)]}" >
																								<field name="appeal_ketepatan_laporan_spj" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																								<field name="appeal_ketepatan_laporan_ukp4" attrs="{'readonly':[('state','!=', 'appeal')]}"/>       
																                         		<field name="appeal_efisiensi_biaya_operasional" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
														                         		</group>
															                        </group>
															                        <div style="background:#19bb9b" >
															                        	 	<h3>Integritas</h3>
															                        </div>	
															                        <div style="background:#8addf6" >
													                        	 		<h5>Hukuman Disiplin</h5>
													                        		</div>	
																			<group col="2">
																							<field name="appeal_integritas_hukuman" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																							<field name="appeal_integritas_hukuman_ringan" attrs="{'readonly':[('state','!=', 'appeal')],'invisible':[('appeal_integritas_hukuman','=', 'tidak')]}"/>    
																							<field name="appeal_integritas_hukuman_sedang" attrs="{'readonly':[('state','!=', 'appeal')],'invisible':[('appeal_integritas_hukuman','=', 'tidak')]}"/>
																							<field name="appeal_integritas_hukuman_berat" attrs="{'readonly':[('state','!=', 'appeal')],'invisible':[('suggest_integritas_hukuman','=', 'tidak')]}"/>                                	
																							  
															                </group>
															                 <div style="background:#8addf6" >
													                        	 		<h5>Penghargaan</h5>
													                        		</div>	
																					<group col="4">
															                        	 		<group col="2">
																									<field name="appeal_integritas_presiden" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                        	
																									<field name="appeal_integritas_gubernur" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																									<field name="appeal_integritas_kepalaopd" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																									<field name="appeal_integritas_atasan" attrs="{'readonly':[('state','!=', 'appeal')]}"/>  
																	                        	</group>       
																								<group col="2">
																									<field name="appeal_integritas_es1" attrs="{'readonly':[('state','!=', 'appeal')]}"/>  
																									<field name="appeal_integritas_es2" attrs="{'readonly':[('state','!=', 'appeal')]}"/>   
																									<field name="appeal_integritas_es3" attrs="{'readonly':[('state','!=', 'appeal')]}" invisible="True" />     
																	                       			<field name="appeal_integritas_es4" attrs="{'readonly':[('state','!=', 'appeal')]}" invisible="True" />																
																								</group>                            	
															                        </group>
															                         <div style="background:#19bb9b" >
															                        	 	<h3>Komitmen</h3>
															                         </div>
															                         <group col="2">
															                         			<div invisible="True" >
															                         			<group col="2">										                         									
																	                         		<field name="appeal_apel_pagi" invisible="True" attrs="{'readonly':[('state','!=', 'appeal')]}"/>   
																									<field name="appeal_upacara_hari_besar" invisible="True" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																								</group>
																								</div>
																								<div>
																								<group col="4">		
																								    <field name="appeal_hadir_apel_pagi" attrs="{'readonly':[('state','!=', 'appeal')]}"/>		
																									<field name="appeal_hadir_upacara_hari_besar"  attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																                         		</group>	 
																								</div>   
															                        </group>
															                        <div style="background:#19bb9b" >
															                        	 	<h3>Disiplin</h3>
															                         </div>
															                         <group col="2">
															                         			<div invisible="True" >
															                         			<group col="2">										                         									
																	                         		<field name="appeal_jumlah_hari_kerja" invisible="True" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																									<field name="appeal_jumlah_jam_kerja"  invisible="True" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																									 
																								</group>
																								</div>
																								<div>
																								<group col="4">		
																								    <field name="appeal_hadir_hari_kerja" attrs="{'readonly':[('state','!=', 'appeal')]}"/>  
																	                         		<field name="appeal_hadir_jam_kerja" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																                         		</group>	 
																								</div>   
															                        </group>
															                        <div style="background:#19bb9b" >
															                        	 	<h3>Kerjasama</h3>
															                         </div>
															                        
																					<group col="4">
															                             		<group col="2">
																									<field name="appeal_kerjasama_nasional" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                            	
																	                         		<field name="appeal_kerjasama_gubernur" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																	                         		<field name="appeal_kerjasama_kepalaopd" attrs="{'readonly':[('state','!=', 'appeal')]}"/>     
																									<field name="appeal_kerjasama_atasan" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																                       			</group>
																                       			<group col="2">                             	
																	                        		<field name="appeal_kerjasama_rapat_nasional" attrs="{'readonly':[('state','!=', 'appeal')]}"/>         
																	                         		<field name="appeal_kerjasama_rapat_provinsi" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																									<field name="appeal_kerjasama_rapat_perangkat_daerah" attrs="{'readonly':[('state','!=', 'appeal')]}"/>     
																	                       			<field name="appeal_kerjasama_rapat_atasan" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                                 	
																                        		</group>            	
															                        </group>
															                          <div style="background:#19bb9b" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
															                        	 	<h3>Kepemimpinan</h3>
															                         </div>
															                        <group col="4" attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
															                        	 <div>
															                        	 		<group col="2">
																									<field name="appeal_kepemimpinan_nasional" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                            	
																									<field name="appeal_kepemimpinan_gubernur" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                          	
																									<field name="appeal_kepemimpinan_kepalaopd" attrs="{'readonly':[('state','!=', 'appeal')]}"/> 
																									<field name="appeal_kepemimpinan_atasan" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                                 	
																                       			</group>
													                        					<group col="2">
													                        						<field name="appeal_kepemimpinan_narsum_nasional" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                             	
																									<field name="appeal_kepemimpinan_narsum_provinsi" attrs="{'readonly':[('state','!=', 'appeal')]}"/>
																	                        		<field name="appeal_kepemimpinan_narsum_perangkat_daerah" attrs="{'readonly':[('state','!=', 'appeal')]}"/>      
																	                       			<field name="appeal_kepemimpinan_narsum_unitkerja" attrs="{'readonly':[('state','!=', 'appeal')]}"/>                              	
																                        		</group>                    	
																                        </div>
															                        </group>
														                      </div>
														                	</group>
																		</div>
															</group> <!-- END GROUP BKD   -->  
											  			</div><!-- END DIV BKD   -->		
			
															
												</group> <!-- Group Kategori REalisasi & Target  -->	
											</div>  <!-- KATEGORI E-F -->    
			                	 				
									</group>
							
								</group>
		                    </page>
		                    
							<page string="Informasi Tambahan">
							<group>
								
								<group string="Kepegawaian">
									<field name="company_id"  readonly="True" string="OPD"/>   
									
		                            <field name="user_id_atasan"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="user_id_banding"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="user_id_bkd"  attrs="{'readonly':[('state','not in',['new', 'draft'])]}"/>
		                            <field name="currency_id" invisible="True"  readonly="True"/>
								</group>
							</group>						
							</page>
							<page string="Catatan Koreksi Dan Lampiran">
								<group>
									<field name="is_suggest" readonly="True" />
									<field name="notes_atasan"/>
									<field name="is_appeal" readonly="True" />
                	 				<field name="notes_atasan_banding"/>
                	 				<field name="is_control" readonly="True"/>  
									<field name="notes_bkd"/>
									<field name="control_count" readonly="True"/>
								</group>
								
							</page>
							<page string="Detail Nilai" name="nilai" attrs="{'invisible': [('state','!=','done')]}">
		                  		<group col="4">   
									<h2>Total : <field name="jumlah_perhitungan" /></h2>
								</group>
		                  		<div name="nilai_perilaku_kerja"   >
		                  		      <group col="2">   
		  							    <field name="nilai_pelayanan" />
									    <field name="nilai_integritas" />  
										<field name="nilai_komitmen" />  
										<field name="nilai_disiplin" />  
										<field name="nilai_kerjasama" />  
										<field name="nilai_kepemimpinan" />    
									  </group>         		
		                  		</div>               
								               
							  </page>    
		                 </notebook>
		                 <notebook>
		                 	<page string="Data Inisiasi Perilaku" name="inisiasi_perilaku_komitmen">
		                 			<div > <!--
																			 <div  >
													                        	 	<h3>::. Data Inisiasi  </h3>
													                         </div>
													                         <group col="4">
													                         		<field name="realisasi_apel_pagi" readonly="True"/>   
																					<field name="realisasi_upacara_hari_besar" readonly="True"/>  														
																					<field name="realisasi_jumlah_hari_kerja" readonly="True"/>
																					<field name="realisasi_jumlah_jam_kerja" readonly="True"/>	
																	  	
																					<field name="employee_job_type" invisible="True"/>
																					<field name="is_kepala_opd" invisible="True"/>      								                         
													                         </group>
													                         <div><button name="fill_lookup_inisiasi_perilaku_komitmen" string="Lookup Data Inisiasi" type="object" groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"  
			 																	help="Tekan Tombol Ini Untuk Melihat Data Inisiasi Bulanan Yang Sudah Diinput dari data SIMPEG" /></div>
													                        <hr />
													              -->
										</div>	                 	
		                 	</page>	                 
		                 </notebook>
		                 <group>
		                 <div class="oe_right">
		                 	<button name="action_target_done" string="Realisasi Siap Diisikan" type="object" confirm="Apakah Anda Yakin Sudah Mengisi Data Kegiatan Dengan Benar ?"
		                        groups="df_project.group_project_user"   attrs="{'invisible':[('state','!=', 'draft')]}"   class="oe_highlight" />
		                    <button name="action_propose" type="object" string="Ajukan Ke Atasan" confirm="Apakah Anda Yakin Sudah Mengisi Kegiatan Dengan Benar ?"
		                        	groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'realisasi')]}"   class="oe_highlight" />
							<button name="action_appeal" type="object" string="Ajukan Banding" help="Jika Mengajukan Banding, Berati anda tetap ingin menajukan Realisasi yang diinput, dan Menolak yang diusulkan oleh atasan"
		                        groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'rejected_manager')]}" />
		                    <button name="action_dont_appeal" string="Koreksi Atasan Diterima" type="object" help="Jika Menerima Usulan, Berati menyetujui apa yang diusulkan oleh atasan. Maka Kegiatan ini akan langsung diverifikasi"
		                        groups="df_project.group_project_user"  attrs="{'invisible':[('state','!=', 'rejected_manager')]}" />
							
							<button name="action_evaluated" type="object" string="Ajukan Ke BKD"  confirm="Apakah Anda Yakin Data Sudah Sesuai Dan Siap Di Laporkan ?"
		                        groups="df_project.group_project_manager"  attrs="{'invisible':[('state','!=', 'propose')]}" class="oe_highlight" />
							<button name="action_propose_rejected_perilaku_popup" type="object" string="Tolak Pengajuan"  
		                        	groups="df_project.group_project_manager"  attrs="{'invisible':[('state','!=', 'propose')]}"  />
							
							<button name="action_verificate_revision" string="Ajukan Koreksi Hasil Verifikasi" type="object" help="Proses ini diharuskan untuk mengkoreksi hasil realisasi"
		                        groups="df_project.group_project_manager"   attrs="{'invisible':[('state','!=', 'rejected_bkd')]}" class="oe_highlight" />
		                   
							
							<button name="action_appeal_approve" type="object" string="Banding Diterima" help="Jika proses Banding diterima, maka realisasi yang diisi oleh pegawai akan dijadikan bahan verifikasi"
		                        groups="df_project.group_project_appeal"  attrs="{'invisible':[('state','!=', 'appeal')]}"   />
		                    <button name="action_appeal_rejected_perilaku_popup" type="object" string="Banding Ditolak" help="Jika proses Banding Ditolak, maka harus ditambahkan usulan untuk pertimbangan penilaian saat verifikasi"
		                        groups="df_project.group_project_appeal"  attrs="{'invisible':[('state','!=', 'appeal')]}"  />

							<button name="action_work_rejected" string="Tolak" type="object"
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'evaluated')]}"   />
							<button name="do_recalculate_poin" string="Hitung Ulang" type="object" 
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'done')]}"   />
							<button name="action_done" type="object" string="Selesai" class="oe_highlight"
                        		groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('state','!=', 'evaluated')]}"  />							
						</div>	                 
		                 </group>
	                </sheet>                    
					 <div class="oe_chatter">
	                        <field name="message_ids" widget="mail_thread"/>
	                 </div>
                </form>
            </field>
        </record>
        <!-- ========================================= Filter Perilaku  =============================================== -->
        <record id="open_view_realisasi_perilaku_bulanan_all_filter" model="ir.ui.view">
            <field name="name">project.skp.select</field>
            <field name="model">project.skp</field>
            <field name="arch" type="xml">
                <search string="Cari Kegiatan">
                    <field name="name" string="Nama Kegiatan"/>
                    <field name="user_id" string="Pegawai Yang dinilai" />
                    <field name="company_id" string="OPD" />
                    <field name="target_period_month" string="Bulan" />
                    <field name="target_period_year" string="Tahun" />
                    <separator/>
                    
                    <filter icon="gtk-media-pause" string="Draft" 
                    		name="Draft" domain="[('state', '=','draft')]" help="Draft Realisasi"/>
                    <filter icon="terp-check" string="Realisasi" 
                    		name="realisasi" domain="[('state', '=','realisasi')]" help="Pengisian Realisasi "/>
                    <filter icon="terp-check" string="Penilaian" 
                    		name="propose" domain="[('state', '=','propose')]" help="Realisasi Yang Sudah Diajukan "/>
                    <filter icon="terp-check" string="Banding" 
                    		name="appeal" domain="[('state', '=','appeal')]" help="Realisasi Yang Diajukan Banding"/>
					<filter icon="terp-check" string="Verifikasi BKD" 
							name="new" domain="[('state', '=','evaluated')]" help="Realisasi Yang Sedang Di Verifikasi "/>
                    <filter icon="terp-check" string="Selesai" 
                    		name="done" domain="[('state', '=','done')]" help="Realisasi Yang Sudah Dinilai"/>
                    <separator/>
                    
                    <group expand="0" string="Group By...">
                        <filter string="OPD" name="" icon="terp-partner" domain="[]" context="{'group_by':'company_id'}"/>
                        <filter string="Status" name="group_state" icon="terp-partner" domain="[]" context="{'group_by':'state'}"/>
                        <filter string="Tahunan" name="" icon="terp-partner" domain="[]" context="{'group_by':'target_period_year'}"/>
                        <filter string="Bulanan" name="group_target_period_month" icon="terp-partner" domain="[]" context="{'group_by':'target_period_month'}"/>
                        <filter string="Pegawai Yang Dinilai" name="user_id" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id'}"/>
                        <filter string="Pejabat Penilai" name="user_id_atasan" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_atasan'}"/>
                        <filter string="Atasan Pejabat Penilai" name="user_id_banding" help="target_period_year" icon="terp-folder-blue" domain = "[]" context="{'group_by':'user_id_banding'}"/>
                    </group>
                </search>
            </field>
        </record>
		<!-- ========================================= Realisasi Perilaku Menu =============================================== -->
		 <record model="ir.actions.act_window" id="action_menu_realisasi_perilaku">
            <field name="name">Realisasi Perilaku</field>
            <field name="res_model">project.perilaku</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="context">{'search_default_group_target_period_month': 1}</field>
            <field name="search_view_id" ref="open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Data Kosong 
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_perilaku_tree_view">
			<field eval="1" name="sequence"/>
			<field name="view_mode">tree</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_tree"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku"/>
		</record>
        <record model="ir.actions.act_window.view" id="action_menu_realisasi_perilaku_form_view">
			<field eval="2" name="sequence"/>
			<field name="view_mode">form</field>
			<field name="view_id" ref="view_menu_realisasi_perilaku_form"/>
			<field name="act_window_id" ref="action_menu_realisasi_perilaku"/>
		</record>
		
		<menuitem id="menu_perilaku" name="Perilaku" parent="menu_penilaian_prestasi_kerja" sequence="300" groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"/>
		
		
	</data>
</openerp>